<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_POST['pendientes']=='si') $productos=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['ProductosPendientes']);
else $productos=arreglaArrayPXMobileProxiumResult($_SESSION['orden']['Productos']);

	if($_GET['traza']=='si') {
		echo "<p>POST RECIBIDO</p>";
		foreach($_POST as $campo=>$valor) echo "<p>".$campo." => ".$valor."</p>";
		echo "<hr>";
	}
	
	foreach($productos as $producto) {
	
		$datos=$producto['Datos']['PXMobileProxiumResult'];
	
		$coincidencia=false;
	
		if( $producto['Codigo']==$_POST['Codigo'] && $producto['Ubicacion']==$_POST['Ubicacion'] && $producto['Contenedor']==$_POST['Contenedor'] && $producto['NumeroEntrada']==$_POST['NumeroEntrada'] && $producto['LineaEntrada']==$_POST['LineaEntrada'] ) {
		
			if($_GET['traza']=='si') {
				echo "<p>PRODUCTO COINCIDENTE ENCONTRADO</p>";
				echo "<p>Codigo: ".$_POST['Codigo']."</p>";
				echo "<p>Ubicacion: ".$_POST['Ubicacion']."</p>";
				echo "<p>Contenedor: ".$_POST['Contenedor']."</p>";
				echo "<p>NumeroEntrada: ".$_POST['NumeroEntrada']."</p>";
				echo "<p>LineaEntrada: ".$_POST['LineaEntrada']."</p>";
			
				print_r($producto);
				echo "<hr>";
			}
		
			$coincidencia=true;
			
			foreach($_SESSION['comportamientosGlobales'] as $comportamiento) {
			
				foreach($datos as $dato) {
					if( $dato['Codigo']==$comportamiento['Codigo'] && $dato['Valor']!=$_POST[$comportamiento['NombreSQL']] ) {
						$coincidencia=false;
						if ($_GET['traza']=='si') echo "No coincide";
					}
			
				}
			}
			
			if($coincidencia) {
				
				foreach(arreglaArrayPXMobileProxiumResult($producto['Gamas']) as $gama) {
				
					if($_GET['traza']=='si') {
						print_r($gama['ProductosAsociados']);
					}
				
					?>
					<h2>Gama <?php echo $gama['Gama']; ?> : <?php echo $gama['DescripcionGama']; ?></h2>
		
        			<p>Producto base:</p>
                    
                    <?php $datos=$producto['Datos']['PXMobileProxiumResult']; ?>
                    
                    <table class="tablaFormateada anchoMaximo">
			  <tr style="white-space:nowrap">
						<th width="100">Código</th>
					  <th>Descripción</th>
                        <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
						<?php if($comportamiento['Activo']) { ?><th width="80"><?php echo $comportamiento['Nombre']; ?></th>
				    <?php } ?>
                        <?php } ?>
                        <th width="50">Cant.</th>
                    <?php if($_SESSION['verEnCajas']=='S') { ?><th width="50">Cajas</th>
              <?php } ?>
                        <?php if($_SESSION['gestionPaletizado']=='S') { ?><th width="80">Contenedor</th>
                    <?php } ?>
                        <th width="80">Ubicación</th>
					</tr>
                    <tr>
							<td><?php echo $producto['Codigo']; ?></td>
							<td><?php echo $producto['Descripcion']; ?></td>
							<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
								<?php if($comportamiento['Activo']=='S') { ?>
									<td>
										<?php
										foreach($datos as $dato) {
											if($dato['Codigo']==$comportamiento['Codigo']) {
												echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
												break;
											}
										}
										?>
									</td>
								<?php } ?>
							<?php } ?>
							<td align="right"><?php echo number_format($gama['CantPrep'],0,',','.'); ?></td>
							<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($gama['Cajas'],2,',','.'); ?></td><?php } ?>
							<?php if($_SESSION['gestionPaletizado']=='S') { ?><td><?php echo $producto['Contenedor']; ?></td><?php } ?>
							<td><?php if($producto['UbicacionAlias']) echo $producto['UbicacionAlias']; else echo $producto['Ubicacion']; ?></td>
						</tr>
                    </table>
        
<p>Productos asociados:</p>
        
					<table class="tablaFormateada anchoMaximo">
			  <tr style="white-space:nowrap">
						<th width="100">Código</th>
					  <th>Descripción</th>
                        <?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
						<?php if($comportamiento['Activo']) { ?><th width="80"><?php echo $comportamiento['Nombre']; ?></th>
				    <?php } ?>
                        <?php } ?>
                        <th width="50">Cant.</th>
                    <?php if($_SESSION['verEnCajas']=='S') { ?><th width="50">Cajas</th>
<?php } ?>
                        <?php if($_SESSION['gestionPaletizado']=='S') { ?><th width="80">Contenedor</th>
                    <?php } ?>
                        <th width="80">Ubicación</th>
					</tr>
                    <?php
                    foreach(arreglaArrayPXMobileProxiumResult($gama['ProductosAsociados']) as $productoAsociado) {
                    
						$datos=$productoAsociado['Datos']['PXMobileProxiumResult'];
						
						?>
						<tr>
							<td><?php echo $productoAsociado['Codigo']; ?></td>
							<td><?php echo $productoAsociado['Descripcion']; ?></td>
							<?php foreach($_SESSION['comportamientos'] as $comportamiento) { ?>
								<?php if($comportamiento['Activo']=='S') { ?>
									<td>
										<?php
										foreach($datos as $dato) {
											if($dato['Codigo']==$comportamiento['Codigo']) {
												echo formateaTipo($dato['Valor'],$comportamiento['Tipo']);
												break;
											}
										}
										?>
									</td>
								<?php } ?>
							<?php } ?>
							<td align="right"><?php echo number_format($productoAsociado['Cantidad'],0,',','.'); ?></td>
							<?php if($_SESSION['verEnCajas']=='S') { ?><td align="right"><?php echo number_format($productoAsociado['Cajas'],2,',','.'); ?></td><?php } ?>
							<?php if($_SESSION['gestionPaletizado']=='S') { ?><td><?php echo $productoAsociado['Contenedor']; ?></td><?php } ?>
							<td><?php if($productoAsociado['UbicacionAlias']) echo $productoAsociado['UbicacionAlias']; else echo $productoAsociado['Ubicacion']; ?></td>
						</tr>
                    <?php } ?>
                    </table>
<?php
				
				}
				
			}
		
		}
        
	
	}
	
?>
        
<p><input type="submit" name="botonCerrarGama" id="botonCerrarGama" value="Cerrar" class="boton"/></p>

<script>

	$(document).ready(function() {
			
		$('#botonCerrarGama').on("click",function(e){
			e.preventDefault();
			$('#popupGama').hide();
			$('#popupGamaContenido').hide();
				
		});
			
	});
	
</script>
    